select trackname,NFSW.driver,car,date,mintime, iif(NFSW.multiplayer=1,'MP','SP') as racetype,shard
from ((NFSW
inner join TRACKLIST on TRACKLIST.trackid=NFSW.trackid)
inner join (
select trackid,driver,MIN(NFSW.besttime) as mintime ,multiplayer from NFSW
where driver='falco000'
group by trackid,driver,multiplayer
) AS tbl1 on tbl1.mintime=NFSW.besttime AND NFSW.trackid=tbl1.trackid AND NFSW.driver=tbl1.driver and tbl1.multiplayer=NFSW.multiplayer)
group by trackname,NFSW.driver,NFSW.multiplayer,car,date,mintime, iif(NFSW.multiplayer=1,'MP','SP'),shard
order by trackname ASC,mintime
